Bug 853615 - crashed with a segmentation fault when use openais's lck and evt
crashed with a segmentation fault when use openais's lck and evt
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: openais (Show other bugs)
17
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Steven Dake
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-01 05:54 EDT by jonnary
Modified: 2016-04-26 21:18 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Release Note
Doc Text:
openais-0.80.6 source.
Story Points: ---
Clone Of:
Environment:
el5
Last Closed: 2013-07-23 08:17:22 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description jonnary 2012-09-01 05:54:51 EDT
Description of problem:

      Recenly,I 'm  developing a HA test program. I used openais's lck as core module,and cooperated with evt and ckpt modules.
      desing  theory:When a lock is locked or unlocked in a client,it will immediately send a evevnt to all. 
      Now   program's  basic function is normal.But When I do same abnormal test,I find several segmentation fault.

Version-Release number of selected component (if applicable):
ver:openais-0.80.6
modules:lck,evt,ckpt

How reproducible:
see "Steps to Reproduc"

Steps to Reproduce:
1.start aisexec process
2.start client process,now some node get lock.
3.I intentionally kill aisexec server in lock owner node,and the client  will  send a evevt notice.Then  Client crashed with a  a segmentation fault.

Actual results:
Client crashed with a segmentation fault.

Expected results:
Cliet don't crash.

Additional info:
position and my solutions.
SaAisErrorT
saEvtDispatch(
	SaEvtHandleT evtHandle,
	SaDispatchFlagsT dispatchFlags)
{
 ......
            basic function
		case MESSAGE_RES_EVT_AVAILABLE:
			evti->ei_data_available = 0;
 
 			pthread_mutex_lock(&evti->ei_response_mutex);

                        //begin add solve  
                        if(NULL == evt)
                        {
                            error = SA_AIS_ERR_LIBRARY;	
			    goto dispatch_unlock;
                        }
                        //end

			evt_recv_event(evti->ipc_ctx, &evt);       // segmentation fault in here
 			pthread_mutex_unlock(&evti->ei_response_mutex);

			if (evt->led_head.error == SA_AIS_ERR_NOT_EXIST) {
				error = SA_AIS_OK;
				break;
			}
......
}
Comment 1 jonnary 2012-09-01 06:00:28 EDT
None
Comment 2 Fedora End Of Life 2013-07-03 23:21:06 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 3 Steven Dake 2013-07-23 08:17:22 EDT
openais has been deprecated upstream.

Note You need to log in before you can comment on or make changes to this bug.